http://iotanalytics.{region}.amazonaws.com/channels/{channelName}/sampleRetrieves a sample of messages from the specified channel ingested during the specified timeframe. Up to 10 messages can be retrieved.
The name of the channel whose message samples are retrieved.
The number of sample messages to be retrieved. The limit is 10. The default is also 10.
The start of the time window from which sample messages are retrieved.
The end of the time window from which sample messages are retrieved.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iotanalytics.{region}.amazonaws.com/channels/{channelName}/sample' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://iotanalytics.{region}.amazonaws.com/channels/{channelName}/sampleRetrieves a sample of messages from the specified channel ingested during the specified timeframe. Up to 10 messages can be retrieved.
The name of the channel whose message samples are retrieved.
The number of sample messages to be retrieved. The limit is 10. The default is also 10.
The start of the time window from which sample messages are retrieved.
The end of the time window from which sample messages are retrieved.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://iotanalytics.{region}.amazonaws.com/channels/{channelName}/sample' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}